﻿using Prism.Navigation;
using Xamarin.Forms;

namespace PopupAcceptDecline.ViewModels
{
    public class MainPageViewModel : ViewModelBase
    {

        public string ChangeLabel { get; set; } = "Some text for now";

        public Command ShowPopupCommand => new Command(ShowPopup);


        public MainPageViewModel(INavigationService navigationService)
            : base(navigationService)
        {
            Title = "Main Page";
        }


        public override void OnNavigatedTo(INavigationParameters parameters)
        {

        }


        private void ShowPopup(object obj)
        {
            var returnbool = DisplayAlert("Testing", "Testing accept decline", "Accept", "Decline");

            ChangeLabel = returnbool.ToString();
        }
    }
}
